Subject: Re: [PATCH] Setup PHYs for rtl8101/2(e) hardware

From: Mario Limonciello <[email-masked]>
Date: Wed, 02 Jul 2008 16:58:03 -0500

Francois:

r8101-1.008.05-1 was provided to me from a colleague who was working
with Realtek to support his platform.  It was given to me under the
presumption that it would have already been posted to the Realtek FTP by
now (I'm a bit surprised it isn't).

When you are warning of device overlap, I'm assuming you mean in the PHY
setup.  As of this r8101 release all of their configs in the driver
setup the PHYs the same way, so it didn't appear to be a problem. 
You'll see once it is posted I suppose.

There is a number of other changes between the old release to this one,
but these were the only relevant changes that I saw to fix the current
transient stability issue of the device when loaded.

Edward:

Perhaps you can shed light as to why it hasn't been posted yet?

Regards,

Francois Romieu wrote:
> [email-masked] <[email-masked]> :
> [...]
>   
>> In comparing the differences with the Realtek release r8101-1.008.05-1
>> of their r8101 driver, I found a handful of differences in  the startup
>> procedures of the r8169 driver.  I isolated two sets of fixes that get
>> rid of transient errors when loading the drivers.
>>     
>
> (please restrain your lines to ~80 cols and Cc: Edward)
>
> May I ask where did you got r8101-1.008.05-1 ? I only have
> r8101-1.007.00 from Realtek's ftp (dated 21/04/2008).
>
> Judging from r8101-1.007.00, I would say that your change is almost
> right but that it can overlap some existing devices. This remark may
> be irrelevant if there are enough differences between r8101-1.007.00
> and r8101-1.008.05-1 though.
>
>   

-- 
Mario Limonciello
*Dell | Linux Engineering*
[email-masked]